[Touch ID Plugin] Error with Touch ID Plugin

[Touch ID Plugin] Error with Touch ID Plugin

  
Forge Component
(9)
Published on 26 Sep (3 weeks ago) by OutSystems R&D
9 votes
Published on 26 Sep (3 weeks ago) by OutSystems R&D

Hi,

I'm trying to integrate the Touch ID Plugin in my mobile application. When I initialize the app, i receive this error (image), but I have the common Plugin updated. Can anyone help me?

A lot of thanks,

Jordi.

Hello Jordi,

Looking into the error screen shot, it seems that your module "CommonPlugin" could be outdated or even brooked. 

Can you please check your ServiceCenter and if needed open it in ServiceStudio and publish it please.

PS. if refresh actions doesn't works, please check if CommonPlugin new version exists.

Regards,

ROM

Ricardo Oliveira Marques wrote:

Hello Jordi,

Looking into the error screen shot, it seems that your module "CommonPlugin" could be outdated or even brooked. 

Can you please check your ServiceCenter and if needed open it in ServiceStudio and publish it please.

PS. if refresh actions doesn't works, please check if CommonPlugin new version exists.

Regards,

ROM

Hello Ricardo,

I download the "CommonPlugin" this morning, I think that this is updated, in Forge i don't see a new version, i don't know what to do.

Regards,

Jordi.


I just tried this and I'm getting the failure callback with the message "Class not found".  This is the code I'm running from a button.  I'm not sure what to put in for clientId and clientSecret.

touchid.authenticate(
   function(msg) {alert('ok: ' + msg)}, // success handler: fingerprint accepted
   function(msg) {alert('not ok: ' + JSON.stringify(msg))}, // error handler with errorcode and localised reason
    {
        "clientId": "",
        "clientSecret": "",
        "dialogTitle":"Touch Id",
        "dialogMessage":"Please scan your fingerprint"
    }  
);